Get team computer inventory details
curl --request GET \
--url https://api.openworklabs.com/v1/org/computers/{deviceId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/org/computers/{deviceId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/org/computers/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/org/computers/{deviceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/org/computers/{deviceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/org/computers/{deviceId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/org/computers/{deviceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"device": {
"id": "<string>",
"kind": "desktop",
"provider": "openwork_desktop",
"source": "desktop_app",
"platform": "darwin",
"label": "<string>",
"availability": "online",
"state": "ready",
"statusDetail": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"appVersion": "<string>",
"computerId": "<string>",
"workbotChat": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"owner": {
"memberId": "<string>",
"name": "<string>",
"email": "<string>",
"former": false
},
"shared": true,
"externalId": "<string>",
"removedAt": "2023-11-07T05:31:56Z",
"recentProblems": 4503599627370495,
"lastEvent": {
"id": "<string>",
"type": "registered",
"level": "info",
"message": "<string>",
"actor": "member",
"createdAt": "2023-11-07T05:31:56Z",
"data": {},
"actorId": "<string>"
},
"canRemove": false,
"disconnectedAt": "2023-11-07T05:31:56Z",
"canDisconnect": false
},
"diagnostics": {
"reportedAt": "2023-11-07T05:31:56Z",
"osVersion": "<string>",
"arch": "<string>",
"computerUse": {
"enabled": true,
"remoteEnabled": true,
"selectedId": "<string>",
"computers": [
{
"id": "<string>",
"label": "<string>",
"placement": "local",
"readiness": "ready",
"detail": "<string>",
"provider": "<string>",
"externalId": "<string>"
}
],
"permissions": {
"accessibility": true,
"screenRecording": true
}
}
},
"events": [
{
"id": "<string>",
"type": "registered",
"level": "info",
"message": "<string>",
"actor": "member",
"createdAt": "2023-11-07T05:31:56Z",
"data": {},
"actorId": "<string>"
}
],
"runner": {
"computerId": "<string>",
"capabilities": [
"<string>"
],
"appVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"workspaces": 4503599627370495,
"inventoryUpdatedAt": "2023-11-07T05:31:56Z"
},
"session": {
"sessionId": "<string>",
"kind": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"activeTurnSince": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"features": {
"remoteDevices": true,
"computerUse": true,
"remoteComputers": true,
"browserUse": true,
"sandboxGateway": true
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Devices
Get team computer inventory details
One computer in the current organization, its reported OS, architecture, adapters, readiness, versions, fixed events, runner capabilities and workspace count. Owner feature state is resolved only within this organization. No credentials, workspace paths, screen content or conversation titles. Requires Devices and computers.view.
GET
/
v1
/
org
/
computers
/
{deviceId}
Get team computer inventory details
curl --request GET \
--url https://api.openworklabs.com/v1/org/computers/{deviceId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/org/computers/{deviceId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/org/computers/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/org/computers/{deviceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/org/computers/{deviceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/org/computers/{deviceId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/org/computers/{deviceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"device": {
"id": "<string>",
"kind": "desktop",
"provider": "openwork_desktop",
"source": "desktop_app",
"platform": "darwin",
"label": "<string>",
"availability": "online",
"state": "ready",
"statusDetail": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"appVersion": "<string>",
"computerId": "<string>",
"workbotChat": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"owner": {
"memberId": "<string>",
"name": "<string>",
"email": "<string>",
"former": false
},
"shared": true,
"externalId": "<string>",
"removedAt": "2023-11-07T05:31:56Z",
"recentProblems": 4503599627370495,
"lastEvent": {
"id": "<string>",
"type": "registered",
"level": "info",
"message": "<string>",
"actor": "member",
"createdAt": "2023-11-07T05:31:56Z",
"data": {},
"actorId": "<string>"
},
"canRemove": false,
"disconnectedAt": "2023-11-07T05:31:56Z",
"canDisconnect": false
},
"diagnostics": {
"reportedAt": "2023-11-07T05:31:56Z",
"osVersion": "<string>",
"arch": "<string>",
"computerUse": {
"enabled": true,
"remoteEnabled": true,
"selectedId": "<string>",
"computers": [
{
"id": "<string>",
"label": "<string>",
"placement": "local",
"readiness": "ready",
"detail": "<string>",
"provider": "<string>",
"externalId": "<string>"
}
],
"permissions": {
"accessibility": true,
"screenRecording": true
}
}
},
"events": [
{
"id": "<string>",
"type": "registered",
"level": "info",
"message": "<string>",
"actor": "member",
"createdAt": "2023-11-07T05:31:56Z",
"data": {},
"actorId": "<string>"
}
],
"runner": {
"computerId": "<string>",
"capabilities": [
"<string>"
],
"appVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"workspaces": 4503599627370495,
"inventoryUpdatedAt": "2023-11-07T05:31:56Z"
},
"session": {
"sessionId": "<string>",
"kind": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"activeTurnSince": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"features": {
"remoteDevices": true,
"computerUse": true,
"remoteComputers": true,
"browserUse": true,
"sandboxGateway": true
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Den TypeID with 'rdv_' prefix and a 26-character base32 suffix.
Required string length:
30Response
Team computer returned.
Was this page helpful?